Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517499 - Review Request: kqoauth-qt5 - Qt OAuth support library
Summary: Review Request: kqoauth-qt5 - Qt OAuth support library
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/kypeli/kQOAuth
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-26 09:11 UTC by MartinKG
Modified: 2018-01-23 12:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-23 12:04:10 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description MartinKG 2017-11-26 09:11:17 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/kqoauth-qt5.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/kqoauth-qt5-0.98-0.1.20140122git7c31a12.fc27.src.rpm

Description:
kQOAuth is a OAuth 1.0 library written for Qt in C++. The goals for the
library have been to provide easy integration to existing Qt5 applications
utilizing Qt5 signals describing the OAuth process, and to provide a
convenient approach to OAuth authentication.

kQOAuth has support for retrieving the user authorization from the service
provider's website. kQOAuth will open the user's web browser to the
authorization page, give a local URL as the callback URL and setup a HTTP
server on this address to listen for the reply from the service and then
process it.

Fedora Account System Username: martinkg

rpmlint kqoauth-qt5.spec /home/martin/rpmbuild/SRPMS/kqoauth-qt5-0.98-0.1.20140122git7c31a12.fc27.src.rpm /home/martin/rpmbuild/RPMS/x86_64/kqoauth-qt5-0.98-0.1.20140122git7c31a12.fc27.x86_64.rpm /home/martin/rpmbuild/RPMS/x86_64/kqoauth-qt5-devel-0.98-0.1.20140122git7c31a12.fc27.x86_64.rpm /home/martin/rpmbuild/RPMS/x86_64/kqoauth-qt5-debugsource-0.98-0.1.20140122git7c31a12.fc27.x86_64.rpm /home/martin/rpmbuild/RPMS/x86_64/kqoauth-qt5-debuginfo-0.98-0.1.20140122git7c31a12.fc27.x86_64.rpm
kqoauth-qt5.x86_64: W: shared-lib-calls-exit /usr/lib64/libkqoauth.so.0.97.0 exit@GLIBC_2.2.5
kqoauth-qt5-devel.x86_64: W: only-non-binary-in-usr-lib
kqoauth-qt5-devel.x86_64: W: no-documentation
kqoauth-qt5-debugsource.x86_64: W: no-documentation
5 packages and 1 specfiles checked; 0 errors, 4 warnings.

Comment 1 Robert-André Mauchin 2017-11-26 11:56:35 UTC
No issue, package accepted.

Comment 2 MartinKG 2017-11-26 12:39:35 UTC
Thanks for the review.

Comment 3 Gwyn Ciesla 2017-11-27 14:37:49 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/kqoauth-qt5


Note You need to log in before you can comment on or make changes to this bug.